Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.util.cache.mbeans
Class JmxBoundedMultiLruCache

    java.lang.Object
      com.sun.appserv.util.cache.mbeans.JmxBaseCache
          com.sun.appserv.util.cache.mbeans.JmxMultiLruCache
              com.sun.appserv.util.cache.mbeans.JmxBoundedMultiLruCache

All Implemented Interfaces:
  JmxBaseCacheMBean, JmxBoundedMultiLruCacheMBean, JmxMultiLruCacheMBean

    public class JmxBoundedMultiLruCache

extends JmxMultiLruCache
implements JmxBoundedMultiLruCacheMBean

This class provides implementation for JmxLruCache MBean

Author:
  Krishnamohan Meduri (Krishna.Meduri@Sun.com)

Constructor Summary
`JmxBoundedMultiLruCache(BoundedMultiLruCache boundedMultiLruCache, String name)`

Method Summary
`Long` | `getCurrentSize()` Returns the current size of the cache in bytes
`Long` | `getMaxSize()` Returns the upper bound on the cache size

Methods inherited from class com.sun.appserv.util.cache.mbeans.JmxMultiLruCache
`getSegmentListLength, getSegmentSize, getTrimCount`

Methods inherited from class com.sun.appserv.util.cache.mbeans.JmxBaseCache
`getAddCount, getEntryCount, getHitCount, getMaxEntries, getMissCount, getName, getOverflowCount, getRefreshCount, getRemovalCount, getTableSize, getThreshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.appserv.util.cache.mbeans.JmxMultiLruCacheMBean
`getSegmentListLength, getSegmentSize, getTrimCount`

Methods inherited from interface com.sun.appserv.util.cache.mbeans.JmxBaseCacheMBean
`getAddCount, getEntryCount, getHitCount, getMaxEntries, getMissCount, getName, getOverflowCount, getRefreshCount, getRemovalCount, getTableSize, getThreshold`

Constructor Detail

### JmxBoundedMultiLruCache

    public JmxBoundedMultiLruCache(BoundedMultiLruCache boundedMultiLruCache,
                                   String name)

Method Detail

### getCurrentSize

    public Long getCurrentSize()

  Returns the current size of the cache in bytes

  Specified by:
    `getCurrentSize` in interface `JmxBoundedMultiLruCacheMBean`

### getMaxSize

    public Long getMaxSize()

  Returns the upper bound on the cache size

  Specified by:
    `getMaxSize` in interface `JmxBoundedMultiLruCacheMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.